UbixOS V2 2.0

Macros | Functions
idt.h File Reference
`#include <sys/types.h>`
`#include <sys/gdt.h>`
Include dependency graph for idt.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | EFLAG_IF 0x200
#define | EFLAG_IOPL3 0x3000
#define | EFLAG_TF 0x100
#define | EFLAG_VM 0x20000

## Functions
int | idt_init ()
void | setTaskVector (uInt8 interrupt, uInt16 controlMajor, uInt8 selector)
void | setVector (void *handler, unsigned char interrupt, unsigned short controlMajor)
void | timerInt ()

## Macro Definition Documentation

## ◆ EFLAG_IF

#define EFLAG_IF 0x200

Definition at line 36 of file idt.h.

## ◆ EFLAG_IOPL3

#define EFLAG_IOPL3 0x3000

Definition at line 37 of file idt.h.

## ◆ EFLAG_TF

#define EFLAG_TF 0x100

Definition at line 35 of file idt.h.

## ◆ EFLAG_VM

#define EFLAG_VM 0x20000

Definition at line 38 of file idt.h.

## Function Documentation

## ◆ idt_init()

int idt_init | ( |  | ) |

Definition at line 109 of file idt.c.

## ◆ setTaskVector()

void setTaskVector | ( | uInt8 | interrupt,
|  | uInt16 | controlMajor,
|  | uInt8 | selector
| ) |  |

Definition at line 224 of file idt.c.

References selector.

## ◆ setVector()

void setVector | ( | void * | handler,
|  | unsigned char | interrupt,
|  | unsigned short | controlMajor
| ) |  |

Definition at line 208 of file idt.c.

Referenced by atkbd_init(), fdc_init(), and initLNC().

## ◆ timerInt()

void timerInt | ( |  | ) |